/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

@import 'common_sizes';

.ip-workflow-step {
  margin: 0.2em 0;
  width: 21em;

  .ip-step-top-line {
    grid-template-columns: 0.5fr 1fr 10fr;

    .step-idx {
      grid-column: 1 / 1;
    }

    .step-title-box {
      margin-left: 0.25em;
    }
  }

  .ip-step-separator {
    height: calc(100% + 0.5em);
  }

  .step-validation-details {
    grid-column: 2 / -1;
    padding: 0;
    margin-left: 1.75em;
    font-style: normal;
  }

}

@media (min-width: $screen-lg-min) {
  .ip-workflow-step {
    width: 24em;
  }
}


